// Take an object and return an array containing the names of its keys
// e.g. { a: 1, b: 2, c: 3 } => ['a', 'b', 'c']

import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
	name: 'keys'
})
export class KeysPipe implements PipeTransform {

	transform(value: object): Array<string> {
		return Object.keys(value);
	}

}
