import { Component, Input, OnInit } from '@angular/core';

@Component({
	selector: 'app-basicinput',
	templateUrl: './basicinput.component.html',
	styleUrls: ['./basicinput.component.scss']
})
export class BasicinputComponent implements OnInit {

	@Input()
	control;

	@Input()
	meta;

	ngOnInit() {
		// Move meta variables up a level, for direct access in templates
		['placeholder'].map(p => this[p] = this.meta[p] || this[p]);
	}

}
